[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: nvidia & gcc version



On Wed, 6 Aug 2003 16:44:04 +0200, Alfredo Valles <alfredo@bioinfo.cu>
wrote:

<...>
> Hi all.
> 
> I've trying to install the nvidia driver in my knoppix 3.2 but the
> installer complaing about the version of the gcc.
>
> How can I know the version of the gcc with which was compiled my
> kernel?

Simply export this environment variable, and try again.

export IGNORE_CC_MISMATCH=yes

This is because the kernel you are building a module for was built using
a different version of gcc than with what the module is to be built.
This often occurs in distributions where gcc changes frequently (like
Debian sid and sarge.)

-- 
Scott Christopher Linnenbringer	    <sl@eskimo.com>
http://www.eskimo.com/~sl/info.txt  <sl@moslug.org>

Attachment: pgpdMTM3UJnA3.pgp
Description: PGP signature


Reply to: